commit:     db40b5d1780cd0d64a0e4c63e2fc06ffc7360d87
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 08:28:46 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 08:30:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db40b5d1

app-vim/vimoutliner: fix shebangs in multiple python scripts.

Gentoo-Bug: https://bugs.gentoo.org/485852

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 .../files/vimoutliner-0.3.6-fix-shebangs.patch     | 21 ++++++++++
 app-vim/vimoutliner/vimoutliner-0.3.6-r1.ebuild    | 48 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-vim/vimoutliner/files/vimoutliner-0.3.6-fix-shebangs.patch 
b/app-vim/vimoutliner/files/vimoutliner-0.3.6-fix-shebangs.patch
new file mode 100644
index 00000000000..a363d96b34f
--- /dev/null
+++ b/app-vim/vimoutliner/files/vimoutliner-0.3.6-fix-shebangs.patch
@@ -0,0 +1,21 @@
+--- a/vimoutliner/scripts/outline_freemind/outline_freemind.py 2017-08-24 
21:20:25.138762046 +0000
++++ b/vimoutliner/scripts/outline_freemind/outline_freemind.py 2017-08-24 
21:20:34.484797791 +0000
+@@ -1,3 +1,4 @@
++#!/usr/bin/python
+ '''Read in an otl file and generate an xml mind map viewable in freemind
+ 
+ Make sure that you check that round trip on your file works.
+--- a/vimoutliner/scripts/outline_freemind/otl.py      2017-08-24 
21:23:08.194385573 +0000
++++ b/vimoutliner/scripts/outline_freemind/otl.py      2017-08-24 
21:23:14.756410662 +0000
+@@ -1,3 +1,4 @@
++#!/usr/bin/python
+ # Some integer IDs
+ # headings are 1, 2, 3, ....
+ bodynowrap = -1 # ;
+--- a/vimoutliner/scripts/outline_freemind/freemind_outline.py 2017-08-25 
08:07:01.985459421 +0000
++++ b/vimoutliner/scripts/outline_freemind/freemind_outline.py 2017-08-25 
08:07:11.244502161 +0000
+@@ -1,3 +1,4 @@
++#!/usr/bin/python
+ '''Converts a freemind xml .mm file to an outline file compatable with vim 
+ outliner.
+ 

diff --git a/app-vim/vimoutliner/vimoutliner-0.3.6-r1.ebuild 
b/app-vim/vimoutliner/vimoutliner-0.3.6-r1.ebuild
new file mode 100644
index 00000000000..d639684e490
--- /dev/null
+++ b/app-vim/vimoutliner/vimoutliner-0.3.6-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit vim-plugin python-single-r1
+
+DESCRIPTION="vim plugin: easy and fast outlining"
+HOMEPAGE="https://github.com/vimoutliner/vimoutliner";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.zip -> ${P}.zip"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+VIM_PLUGIN_HELPFILES="vimoutliner"
+VIM_PLUGIN_MESSAGES="filetype"
+
+PATCHES=( "${FILESDIR}/${P}-fix-shebangs.patch" )
+
+RDEPEND="dev-python/autopep8"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       sed -i -e '/^if exists/,/endif/d' ftdetect/vo_base.vim || die
+       sed -i -e 's/g:vo_modules2load/g:vo_modules_load/' 
vimoutliner/vimoutlinerrc || die
+       rm -v install.sh || die
+       find "${S}" -type f -exec chmod a+r {} \; || die
+}
+
+src_compile() {
+       local pyscript _pyscript
+       for pyscript in $(find "${S}" -type f -name \*.py); do
+               _pyscript=$(basename "${pyscript}")
+               einfo "Processing ${_pyscript}"
+               sed -i -e 's#[ \t]*$##g;' "${pyscript}" || die
+               2to3 --no-diffs -w -n "${pyscript}" 2> /dev/null || die
+               autopep8 -i "${pyscript}" || die
+               python_fix_shebang -q "${pyscript}" || die
+               eend $?
+       done
+}

Reply via email to